import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    url: '/system/email/caogao/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getInfo(mailGuid) {
  return request({
    url: '/system/email/caogao/' + mailGuid,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addInfo(data) {
  return request({
    url: '/system/email/caogao',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateInfo(data) {
  return request({
    url: '/system/email/caogao',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delInfo(mailGuid) {
  return request({
    url: '/system/email/caogao/' + mailGuid,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportInfo(query) {
  return request({
    url: '/system/email/caogao/export',
    method: 'get',
    params: query
  })
}
